Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236790 - default nic to use with qemu guests?
Summary: default nic to use with qemu guests?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 17:19 UTC by Jeremy Katz
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-18 17:45:56 UTC


Attachments (Terms of Use)

Description Jeremy Katz 2007-04-17 17:19:49 UTC
We're just using the default (ne2k-pci) from qemu as the nic type...  this is
probably _not_ what we actually want, but I could see the argument that we
should just change the default nic model in qemu/kvm themselves rather than
having virt-manager specifying something.  If we go the route of changing the
default with qemu, then we also can get the improvement of switching to the
eepro sooner as well

Comment 1 Daniel Berrange 2007-04-17 18:47:06 UTC
Libvirt does not have a way to specify the NIC model in the virtual network
interface config, however, we can easily add such an attribute & thus let
virt-manager choose alternate NIC model. Quickest option is to just change
libvirt to force use of rtl8139 when spawning QEMU.


Comment 2 Jeremy Katz 2007-04-17 19:33:10 UTC
The question is does it really make sense to specify it?  It'll add more
dependencies that we need to check based on version of qemu to know the "best".

So being able to specify it is reasonable, but the more I think about it, the
more I think we should just change the defaults in qemu/kvm to be the
better/right thing.

Comment 3 Jeremy Katz 2007-04-18 14:59:43 UTC
(In reply to comment #2)
> The question is does it really make sense to specify it?  It'll add more
> dependencies that we need to check based on version of qemu to know the "best".

FWIW, the patch to change the default is tiny and done for kvm-19-1.

Comment 4 Daniel Berrange 2007-07-18 17:45:56 UTC
Fixed in KVM per #3.


Note You need to log in before you can comment on or make changes to this bug.